net.sourceforge.pmd.ast

## Class ParserCornersTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.ast.ParserCornersTest

    public class ParserCornersTest
    extends ParserTst

### Constructor Summary

Constructors
Constructor and Description
`ParserCornersTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testCastLookaheadProblem()`
`void` `testGenericsProblem()` Tests a specific generic notation for calling methods.
`void` `testGetFirstASTNameImageNull()`
`void` `testParsersCases()`

### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

`buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParserCornersTest

    public ParserCornersTest()

### Method Detail

#### testGetFirstASTNameImageNull

    public final void testGetFirstASTNameImageNull()
                                            throws Throwable

Throws:
  `Throwable`

#### testCastLookaheadProblem

    public final void testCastLookaheadProblem()
                                        throws Throwable

Throws:
  `Throwable`

#### testGenericsProblem

    public void testGenericsProblem()

Tests a specific generic notation for calling methods. See: https://jira.codehaus.org/browse/MPMD-139

#### testParsersCases

    public void testParsersCases()

#### suite

    public static junit.framework.Test suite()